void setup(){
   size(500, 500);
}

void draw(){
  background(255);
  stroke(0);
  ellipseMode(CENTER);

  fill(200);
  ellipse(250, 250, 200, 200);
  
  float polarpoint[] = polarToCartesian(100, (TWO_PI/360)*25);
  fill(0);
  ellipse(polarpoint[0]+250, polarpoint[1]+250, 10, 10);
}

float[] polarToCartesian(float radius, float angle){
  float returnPoint[] = new float[2];
  returnPoint[0] = (float) (radius*Math.cos(angle));
  returnPoint[1] = (float) (radius*Math.sin(angle));
  return returnPoint;
}
